VERSION := $(shell git describe --always --dirty=-dev)
BUILD := $(shell date --iso-8601=seconds --utc)
GOFILES = $(shell find . -type f -name '*.go')

all: cacert-boardvoting

cacert-boardvoting: ${GOFILES}
	go build -o $@ -x -ldflags " -X 'main.version=${VERSION}' -X 'main.build=${BUILD}'"

clean:
	rm -f cacert-boardvoting

distclean: clean
	rm -f boardvoting/assets.go

.PHONY: clean distclean all
